Avoir un certificat SSL est maintenant un must pour tous les sites Web. Ce n'est pas seulement un excellent moyen de sécuriser votre site Web contre les menaces, mais aussi d'obtenir en retour un bon coup de pouce pour le référencement.

Cependant, l'installation et la gestion du certificat SSL et la configuration de votre site Web en HTTPS est un processus qui implique souvent de nombreux problèmes et erreurs. L'un des problèmes courants est l'erreur “contenu non sécurisé” ou “contenu mixte”.

C'est l'un des problèmes les plus frustrants que vous rencontrerez, car il fait croire aux visiteurs que votre site Web héberge du contenu malveillant ou nuisible en leur montrant un avertissement qui les effraie à peu près. Par conséquent, ils pourraient ne plus jamais visiter votre site Web.

Pour éviter que cette erreur n'affecte votre activité et votre trafic, il est extrêmement important que vous corrigiez l'erreur dès que vous la découvrez. Dans ce guide, nous vous montrerons comment corriger l'erreur de contenu mixte à l'aide d'un simple plugin gratuit. Continuez à lire pour voir comment cela fonctionne.

Qu'est-ce qu'une erreur de contenu mixte ?

le contenu mixte (ou contenu non sécurisé) se produit généralement lorsqu'il y a un problème avec la configuration HTTPS de votre site Web.

Par exemple, lorsque votre site Web est configuré pour HTTPS mais que vos images et autres liens multimédias se chargent sur l'ancien HTTP, les navigateurs le considèrent comme une activité suspecte et dangereuse et émettent un avertissement de contenu mixte pour rappeler aux gens que certains liens sur le site pourraient être nuisibles .

exemple d'erreur de contenu mixte

Lorsque l'erreur se produit, les navigateurs tels que Chrome et Firefox affichent un message d'avertissement à côté du verrou HTTPS indiquant que le site héberge du contenu non sécurisé. Sauf qu'ils verront un panneau d'avertissement à côté de HTTPS au lieu du symbole de verrouillage sécurisé.

erreur-de-contenu-mixte-exemple-2

Dans certaines situations, le navigateur ira jusqu'à bloquer des scripts ou une page s'il suppose que le contenu non sécurisé peut être préjudiciable aux utilisateurs. Surtout lorsqu'un site Web utilise HTTPS et charge du code tel que JavaScript dans HTTP, les navigateurs le voient comme un contenu malveillant et bloquent le chargement des scripts. Parfois, il bloquera même une page en affichant une page d'avertissement effrayante aux utilisateurs.

Comment cela peut casser votre site Web

Dans la plupart des situations, l'erreur de contenu mixte ne fera pas beaucoup de mal à votre site Web. Les articles et les pages de votre blog continueront à se charger et le site Web fonctionnera normalement. Cependant, garder votre site Web dans cet état pourrait casser votre site Web et votre entreprise.

Voir un message d'avertissement à côté d'un site Web est définitivement un drapeau rouge. Imaginez que vous allez sur un site Web pour acheter quelque chose et que vous voyez un avertissement de contenu mixte. Vous sentiriez-vous en sécurité en partageant vos informations de carte de crédit avec un tel site ? Bien sûr que non!

Parfois, l'erreur peut également perturber la conception et le contenu de votre site Web. Par exemple, si Chrome bloque le chargement d'un script JavaScript important, le thème de votre site Web ne s'affichera pas correctement pour les visiteurs de votre site Web. Ou les médias importants tels que les images et les vidéos ne seront pas montrés aux utilisateurs.

Comment vérifier les erreurs de contenu mixte

Heureusement, l'erreur peut être facilement corrigée. Mais d'abord, vous devez déterminer quel contenu est à l'origine de l'erreur. Vous pouvez le faire en utilisant les outils de développement du navigateur.

fix-mixed-content-error-browser-console

Lorsque vous utilisez Chrome, chargez le site Web, puis Clic-droit et sélectionnez Inspecter l'élément pour ouvrir la console des outils de développement (ou appuyez sur Contrôle + Maj + I). Basculez vers le Sécurité onglet pour voir tous les messages d'avertissement. Ici, vous verrez toutes les erreurs de contenu mixte liées au site Web.

Sur Firefox, appuyez sur Contrôle + Maj I pour accéder aux outils de développement et vous pouvez voir tous les messages d'avertissement dans l'onglet Console.

Avec cette méthode, vous pouvez déterminer quels types de liens, de scripts ou de supports sont chargés via HTTP et corriger les liens pour les charger correctement via HTTPS.

Comment réparer une erreur de contenu non sécurisé

ssl-insecure-fix-plugin

Si vous avez un site Web HTML à l'ancienne, vous devrez effectuer beaucoup de travail pour corriger manuellement chaque erreur de contenu mixte. Heureusement, il existe un plugin qui permet à WordPress de corriger les erreurs instantanément.

Bien nommé Fixateur de contenu non sécurisé SSL Le plugin est spécialement conçu pour corriger les erreurs de contenu mixte. Voici comment ça fonctionne.

Étape 1 : Installer le fixateur de contenu non sécurisé SSL

fix-mixed-content-error-1

Commencez par installer d'abord le plugin sur votre site Web.

Connectez-vous à votre tableau de bord d'administration WordPress et accédez à Plugins >> Ajouter un nouveau. Ensuite, recherchez le Fixateur de contenu non sécurisé SSL brancher.

Cliquez maintenant Installer puis Activer.

Étape 2 : sélectionnez le contenu à corriger

fix-mixed-content-error-2

Une fois installé, allez sur Paramètres >> Fixateur de contenu non sécurisé SSL onglet plugin pour activer le plugin. Ici, vous pouvez également choisir le contenu à corriger.

Le plugin propose 5 configurations différentes pour corriger les erreurs :

  1. Simple: Si vous êtes un débutant complet, il est recommandé d'essayer cette méthode avant tout le reste. Il effectue une exécution simple qui corrige les erreurs de contenu mixte les plus courantes.
  2. Contenu: Cette option corrige le contenu et le widget de texte en plus de tout ce que fait l'option Simple. Essayez cette option si la première option ne corrige pas les erreurs.
  3. Widget : Cette option corrige toutes les erreurs dans les options ci-dessus et s'assure également que les erreurs liées aux widgets WordPress sont également corrigées.
  4. Capturer: Cette option corrigera tous les liens d'une page, de l'en-tête au pied de page. Si les erreurs sont liées à des scripts, cette option les corrigera. Cependant, cela peut affecter les performances du site Web, alors faites-le pendant les heures creuses.
  5. Capturez tout : Cette option corrige tout. Ne l'utilisez que si toutes les autres options échouent.

Maintenant, si vous avez utilisé les outils de développement du navigateur pour déterminer la cause du problème, vous pouvez utiliser la configuration appropriée pour corriger les erreurs.

Étape 3 : Activer le plugin

fix-mixed-content-error-3

Pour l'activer, sélectionnez simplement une option et faites défiler vers le bas pour sélectionner un Détection HTTPS option.

Si vous utilisez un service CDN comme CloudFlare ou KeyCDN, sélectionnez l'option liée au CDN. Sinon, laissez-le à la “fonction WordPress standard” par défaut.

Clique sur le Sauvegarder les modifications bouton et le plugin fera sa magie.

Conclusion

L'erreur de contenu non sécurisé est plus courante chez les utilisateurs qui configurent manuellement les certificats SSL, en particulier lorsque vous utilisez des plug-ins tiers pour le configurer.

L'un des meilleurs moyens d'éviter ce type de problèmes est de choisir une plate-forme d'hébergement WordPress gérée de bonne réputation pour héberger votre site Web. Ces plates-formes vous fournissent des certificats SSL gratuits correctement configurés pour les sites Web WordPress qui se renouvellent également automatiquement afin que vous n'ayez pas à vous soucier des erreurs.